function [Table,Interaction,InputData1,InputData2] = mGetTableNumberFromName(InputText,InputData1,InputData2)

if     strcmpi(InputText,'cWW'), Table = 1;	  Interaction={'cWW'};
elseif strcmpi(InputText,'tWW'), Table = 2;   Interaction={'tWW'};
elseif strcmpi(InputText,'cWH'), Table = 3;   Interaction={'cWH'};
elseif strcmpi(InputText,'tWH'), Table = 4;   Interaction={'tWH'};
elseif strcmpi(InputText,'cWS'), Table = 5;   Interaction={'cWS'};
elseif strcmpi(InputText,'tWS'), Table = 6;   Interaction={'tWS'};
elseif strcmpi(InputText,'cHH'), Table = 7;   Interaction={'cHH'};
elseif strcmpi(InputText,'tHH'), Table = 8;   Interaction={'tHH'};
elseif strcmpi(InputText,'cHS'), Table = 9;   Interaction={'cHS'};
elseif strcmpi(InputText,'tHS'), Table = 10;  Interaction={'tHS'};
elseif strcmpi(InputText,'cSS'), Table = 11;  Interaction={'cSS'};

%%%%Important: name pf cHH family is symmetric, but its IM is not symmetric
elseif strcmp(InputText,'tsS'),  Table = 7;   Interaction={'tSs'};   temp=InputData1; InputData1=InputData2; InputData2=temp; %invert positions 1 & 2
elseif strcmpi(InputText,'tSS'), Table = 12;  Interaction={'tSs'}; %%%%%name symmetric but IM not symmetric
%This interaction should be coded as tSs or tsS (directional). If not, it is assumed to be tSs.
   
elseif strcmpi(InputText,'bif'), Table = 13;  Interaction={'bif'}; %This is bif(W---Wc/Ht), there are other bifurcated families but they are not all classified yet so they will be ignored here.

    
elseif strcmpi(InputText,'cHW'), Table = 3;   Interaction={'cWH'};   temp=InputData1; InputData1=InputData2; InputData2=temp; %invert positions 1 & 2
elseif strcmpi(InputText,'tHW'), Table = 4;   Interaction={'tWH'};   temp=InputData1; InputData1=InputData2; InputData2=temp;
elseif strcmpi(InputText,'cSW'), Table = 5;   Interaction={'cWS'};   temp=InputData1; InputData1=InputData2; InputData2=temp;
elseif strcmpi(InputText,'tSW'), Table = 6;   Interaction={'tWS'};   temp=InputData1; InputData1=InputData2; InputData2=temp;
elseif strcmpi(InputText,'cSH'), Table = 9;   Interaction={'cHS'};   temp=InputData1; InputData1=InputData2; InputData2=temp;
elseif strcmpi(InputText,'tSH'), Table = 10;  Interaction={'tHS'};   temp=InputData1; InputData1=InputData2; InputData2=temp;

elseif strcmpi(InputText,'fib'), Table = 13;  Interaction={'bif'};   temp=InputData1; InputData1=InputData2; InputData2=temp;

else Table = 14; Interaction={'-'};
end
